%define docver 1.3.0

%define major 2
%define libname %mklibname cddb %{major}
%define develname %mklibname cddb -d
%define staticdevelname %mklibname cddb -d -s

%define bootstrap 0
%{?_with_bootstrap: %global bootstrap 1}

Name: libcddb
Version: 1.3.2
Release: %mkrel 7
License: LGPLv2+
Group: System/Libraries
URL: http://libcddb.sourceforge.net/
Source: http://prdownloads.sourceforge.net/libcddb/%name-%version.tar.bz2
Source1: http://prdownloads.sourceforge.net/libcddb/%name-doc-%docver.tar.bz2
Summary: CDDB access library
%if !%{bootstrap}
BuildRequires: libcdio-devel
%endif
#auto* deps
#BuildRequires: gettext-devel
#BuildRequires: automake1.8

%description 
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org).  It
tries to be as cross-platform as possible.  The initial libary will
have a C API.


%package -n %{libname}
Summary: Libraries from %name
Group: System/Libraries

%description -n %{libname}
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org).  It
tries to be as cross-platform as possible.  The initial libary will
have a C API.

%package -n %{develname}
Summary: Devel files from libcddb
Group: Development/C
Requires: %{libname} = %version
Provides: %{name}-devel = %version-%release
Obsoletes: %{_lib}cddb2-devel

%description -n %{develname}
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org).  It
tries to be as cross-platform as possible.  The initial libary will
have a C API.

This is the libraries, include files and other resources you can use
to incorporate libcddb into applications.

%package -n %{staticdevelname}
Summary: Static Library for developing applications with %name
Group: Development/C
Requires: %{develname} = %version
Provides: %{name}-static-devel = %version-%release
Obsoletes: %{_lib}cddb2-static-devel

%description -n %{staticdevelname}
This contains the static library of %name needed for building apps that
link statically to %name.

%package apps
Summary: Example applications based on %name
Group: Sound/Utilities

%description apps
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org).  It
tries to be as cross-platform as possible.  The initial libary will
have a C API.

This package contains a command line client based on %name.

%prep
%setup -q -a 1
mv output html

%build
%configure2_5x
%make

%install
%makeinstall_std

%files apps
%_bindir/*

%files -n %{libname}
%_libdir/*.so.%{major}*

%files -n %{develname}
%doc ChangeLog README AUTHORS NEWS TODO html
%_includedir/cddb
%_libdir/*.so
%attr(644,root,root) %_libdir/*.la
%_libdir/pkgconfig/*.pc

%files -n %{staticdevelname}
%{_libdir}/lib*.a


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.3.2-7.mga3
+ Revision: 356914
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 1.3.2-6.mga3
+ Revision: 323359
- clean spec
- update rpm group

* Sat Jan 15 2011 blino <blino> 1.3.2-5.mga2
+ Revision: 18809
- rebuild with cdio

* Fri Jan 14 2011 blino <blino> 1.3.2-4.mga1
+ Revision: 17482
- bootstrap while cdio is not available
- remove old ldconfig scriptlets
- imported package libcddb

